Subject: Re: bug#20915: 25.0.50; [js-mode] electric annoyances

From: Eli Zaretskii <[email-masked]>
Date: Sun, 28 Jun 2015 17:41:49 +0300

> From: Rasmus <[email-masked]>
> Date: Sun, 28 Jun 2015 13:46:02 +0200
> 
> Electric layout doesn't always quite work to my liking in js-mode.

The "Emacsy" solution to that is to allow users to define the style
she likes.  That way, what you like and what I like doesn't have to be
put into the same procrustean framework.

Since js-mode already supports styles, why wouldn't it be possible to
solve this problem in the framework of the styles?

(Apologies if what I say makes no sense: I don't use js-mode.)